/*:
 * @target MV
 * @plugindesc Switch NO.1 NEW GAME ON／Title BGM no fade.etc
 * @author 龍龍（Ronron）
 *
 * @help
 * 完全なる自分用。
 * 参考にさせていただいた記事、ソースコードプログラム。
 * スマホ縦長画面用UI詰め合わせ。 * Copyright (c) 2016 KRD_DATA (くろうど)様
 * https://github.com/kuroudo119/RPGMV-Plugin/blob/master/KRD_UI_Portrait.js（プロジェクトファイルに同梱しています）
 * 神凪洸様
 * https://noir-et-blanc-patisserie.amebaownd.com/posts/9650938/
 * 村人A様
 * http://rpgmaker-script-wiki.xyz/changefontsize_kowazamv.php
 * しぐれん様　回答（常時ダッシュを削除したいです）
 * https://tm.lucky-duet.com/viewtopic.php?t=5723
 * 最終更新：令和5年11月24日
 */

(() => {

    /**
     * タイトルからニューゲーム時にBGMをそのまま引き継ぐ
     * 移動先のMAPはBGMを指定しない。指定する場合は別途Switchなどを指定すること。
     * Switch ID 1を自動的にONにする。
     * タイトルのタッチUI改善
     */
    Scene_Title.prototype.commandNewGame = function () {
        DataManager.setupNewGame();
        this._commandWindow.close();
        // this.fadeOutAll();
        $gameSwitches.setValue(1, true);
        SceneManager.goto(Scene_Map);
    };

    // 行間
    Window_TitleCommand.prototype.lineHeight = function () {
        return 30 + 24;
    };

    Window_ChoiceList.prototype.lineHeight = function () {
        return 30 + 24;
    };

    Window_ChoiceList.prototype.drawItem = function (index) {
        var rect = this.itemRectForText(index);
        this.drawTextEx(this.commandName(index), rect.x, rect.y + (this.lineHeight() / 4));
    };

    Window_Options.prototype.lineHeight = function () {
        return 30 + 24;
    };

    Window_GameEnd.prototype.lineHeight = function () {
        return 30 + 24;
    };
    /**
     * 全体の文字の大きさ
     */
    Window_Base.prototype.standardFontSize = function () {
        return 24;
    };

    Window_Base.prototype.lineHeight = function () {
        return 30;
    };
    /**
     * Windowを更に暗くする。初期値0.6
     */
    Window_Base.prototype.dimColor1 = function () {
        return 'rgba(0, 0, 0, 0.85)';
    };
    /**
     * 常時ダッシュの項目を消す
     */
    Window_Options.prototype.addGeneralOptions = function () {
        //    this.addCommand(TextManager.alwaysDash, 'alwaysDash');
        this.addCommand(TextManager.commandRemember, 'commandRemember');
    };

    /**
     * ME再生中にBGMを停止するのをやめる
     */
    AudioManager.playMe = function (me) {
        this.stopMe();
        if (me.name) {
            //        if (this._bgmBuffer && this._currentBgm) {
            //             this._currentBgm.pos = this._bgmBuffer.seek();
            //             this._bgmBuffer.stop();
            //         }
            this._meBuffer = this.createBuffer('me', me.name);
            this.updateMeParameters(me);
            this._meBuffer.play(false);
            this._meBuffer.addStopListener(this.stopMe.bind(this));
        }
    };

})();